// ConsoleUpdaterDlg.h : 헤더 파일
//

#pragma once
#include "afxwin.h"
#include "afxcmn.h"

// CSPUpdaterDlg 대화 상자
class CConsoleUpdaterDlg : public CDialog
{
// 생성
public:
	CConsoleUpdaterDlg(CWnd* pParent = NULL);	// 표준 생성자

// 대화 상자 데이터
	enum { IDD = IDD_CONSOLE_UPDATER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 지원

protected:
	CStringArray m_saFile;

public:
	int m_iTerasferring;
	int m_nTotalCount;
	BOOL	m_bIsSelfUpdate;

public:
	void SetFileList(CStringArray& saFile);

	UINT Transfer();

// 구현
protected:
	// 메시지 맵 함수를 생성했습니다.
	virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()

public:
	CStatic m_stcTitle;
	CProgressCtrl m_prgTotal;
	CProgressCtrl m_prgNow;
};
